Package org.firebirdsql.gds.ng.jna

## Class FbClientDatabaseFactory

- java.lang.Object
- - org.firebirdsql.gds.ng.jna.AbstractNativeDatabaseFactory
  - - org.firebirdsql.gds.ng.jna.FbClientDatabaseFactory

- All Implemented Interfaces:
    `FbDatabaseFactory`

      public final class FbClientDatabaseFactory
      extends AbstractNativeDatabaseFactory

  Implementation of `FbDatabaseFactory` for establishing connection using the Firebird native client library.

  A separate factory is used for embedded: `FbEmbeddedDatabaseFactory`.

  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FbClientDatabaseFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected FbClientLibrary` | `createClientLibrary()` | Creates and initialize a new instance of the client library.
    `static FbClientDatabaseFactory` | `getInstance()` |

    - ### Methods inherited from class org.firebirdsql.gds.ng.jna.AbstractNativeDatabaseFactory

      `connect, filterProperties, getClientLibrary, serviceConnect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FbClientDatabaseFactory

          public FbClientDatabaseFactory()

  - ### Method Detail

    - #### getInstance

          public static FbClientDatabaseFactory getInstance()

    - #### createClientLibrary

          protected FbClientLibrary createClientLibrary()

      Description copied from class: `AbstractNativeDatabaseFactory`
      Creates and initialize a new instance of the client library.

      Instances should not be cached (caching - if any - is the responsibility of the caller).

      Specified by:
        `createClientLibrary` in class `AbstractNativeDatabaseFactory`
      Returns:
        new client library instance